INTERFACE
SUBROUTINE FPSPNORM(PSPEC,KFLDLOC,KFLDG,KOUTPROC,KSETV,KLOC,PAVEG)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NSPECG ,NSPEC2 ,NUMP
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDLOC
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDG
REAL(KIND=JPRB) ,INTENT(IN) :: PSPEC(KFLDLOC,NSPEC2)
INTEGER(KIND=JPIM),INTENT(IN) :: KOUTPROC
INTEGER(KIND=JPIM),INTENT(IN) :: KSETV(KFLDG)
INTEGER(KIND=JPIM),INTENT(IN) :: KLOC(KFLDG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAVEG(KFLDG)
END SUBROUTINE FPSPNORM
END INTERFACE
